<?php
/***
DEFINES
***/
define('REALOS_THEME_VERSION', '1.0.1');

if( (string)osc_get_preference('keyword_placeholder', 'realos') == "" ) {
    Params::setParam('keyword_placeholder', __('What are you looking for?', 'realos') ) ;
}

if( osc_get_preference('city_1', 'realos') == "" ) {
    Params::setParam('city_1', __('Location #1', 'realos') ) ;
}
if( osc_get_preference('city_2', 'realos') == "" ) {
    Params::setParam('city_2', __('Location #2', 'realos') ) ;
}
if( osc_get_preference('city_3', 'realos') == "" ) {
    Params::setParam('city_3', __('Location #3', 'realos') ) ;
}
if( osc_get_preference('city_4', 'realos') == "" ) {
    Params::setParam('city_4', __('Location #4', 'realos') ) ;
}
if( osc_get_preference('city_5', 'realos') == "" ) {
    Params::setParam('city_5', __('Location #5', 'realos') ) ;
}

osc_enqueue_style('fancybox', osc_current_web_theme_url('js/fancybox/jquery.fancybox.css'));
osc_enqueue_script('fancybox');
/**
JQUERY FUNCTIONS
**/
if(!OC_ADMIN) {
osc_register_script('delete-user-js', osc_current_web_theme_url('js/delete_user.js')); 
osc_remove_script('jquery');
osc_register_script('jquery', 'https://cdnjs.cloudflare.com/ajax/libs/jquery/1.12.4/jquery.min.js'); 
osc_enqueue_script('jquery');
osc_register_script('select2-js', 'https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js'); 
osc_enqueue_script('select2-js');
}
osc_enqueue_script('jquery-ui'); // Add jquery ui

// used for date/dateinterval custom fields
osc_enqueue_script('php-date');

if(!OC_ADMIN) {
    osc_enqueue_style('fine-uploader-css', osc_assets_url('js/fineuploader/fineuploader.css'));
    osc_enqueue_style('realos-fine-uploader-css', osc_current_web_theme_url('css/ajax-uploader.css'));
}
osc_enqueue_script('jquery-fineuploader');

if(!OC_ADMIN) {
    osc_enqueue_style('bootstrap-cerulean','https://maxcdn.bootstrapcdn.com/bootswatch/3.3.7/journal/bootstrap.min.css');
    osc_enqueue_style('select2-css','https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css');
    osc_enqueue_style('select2-theme-css','https://cdnjs.cloudflare.com/ajax/libs/select2-bootstrap-theme/0.1.0-beta.6/select2-bootstrap.min.css');
}
osc_enqueue_style('font-awesome', 'https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css');
//osc_enqueue_style('ionicons', 'http://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css');
osc_enqueue_style('linearicons', 'https://cdn.linearicons.com/free/1.0.0/icon-font.min.css');

// Category icons
function category_icons() {
	$i = 0; while ( osc_has_categories() ) { ?>
	<div class="form-row">
	   <div class="form-label"><?php echo osc_category_name();?> (<i class="<?php echo osc_esc_html( osc_get_preference('cat_icon_'.osc_category_id(), 'realos') ); ?> fa-1x"></i>):</div>
	   <div class="form-controls">
	       <input type="text" class="xlarge" name="cat_icon_<?php echo osc_category_id();?>" value="<?php echo osc_esc_html( osc_get_preference('cat_icon_'.osc_category_id(), 'realos') ); ?>">
	   </div>
    </div>
    <?php if( !osc_get_preference('cat_icon_'.osc_category_id(), 'realos') ) {
    osc_set_preference('cat_icon_'.osc_category_id(), __('fa fa-star', 'realos'), 'realos');}
    $i++; } 
}


/***
FUNCTIONS
***/

    // install options
    if( !function_exists('realos_theme_install') ) {
        function realos_theme_install() {
            osc_set_preference('keyword_placeholder', Params::getParam('keyword_placeholder'), 'realos');
            osc_set_preference('city_1', Params::getParam('city_1'), 'realos');
            osc_set_preference('city_2', Params::getParam('city_2'), 'realos');
            osc_set_preference('city_3', Params::getParam('city_3'), 'realos');
            osc_set_preference('city_4', Params::getParam('city_4'), 'realos');
            osc_set_preference('city_5', Params::getParam('city_5'), 'realos');
            osc_set_preference('version', REALOS_THEME_VERSION, 'realos');
            osc_set_preference('footer_link', '1', 'realos');
            osc_set_preference('author_link', '1', 'realos');
			osc_set_preference('defaultShowAs@all', 'list', 'realos');
            osc_set_preference('defaultShowAs@search', 'list');
            osc_set_preference('defaultLocationShowAs', 'dropdown', 'realos'); // dropdown / autocomplete
			$i = 0; while ( osc_has_categories() ) { 
			osc_set_preference('cat_icon_'.osc_category_id(), Params::getParam('cat_icon_'.osc_category_id()), 'realos');
  			$i++; }
            osc_reset_preferences();
        }
    }
    // update options
    if( !function_exists('realos_theme_update') ) {
        function realos_theme_update($current_version) {
            if($current_version==0) {
				realos_theme_install();
			}
            osc_delete_preference('default_logo', 'realos');

            $logo_prefence = osc_get_preference('logo', 'realos');
            $logo_name     = osc_page_title().'_logo';
            $temp_name     = WebThemes::newInstance()->getCurrentThemePath() . 'images/logo.jpg';
            if( file_exists( $temp_name ) && !$logo_prefence) {

                $img = ImageResizer::fromFile($temp_name);
                $ext = $img->getExt();
                $logo_name .= '.'.$ext;
                $img->saveToFile(osc_uploads_path().$logo_name);
                osc_set_preference('logo', $logo_name, 'realos');
            }
			osc_set_preference('version', '101', 'realos');
            osc_reset_preferences();
        }
    }
    if(!function_exists('check_install_realos_theme')) {
        function check_install_realos_theme() {
            $current_version = osc_get_preference('version', 'realos');
            //check if current version is installed or need an update<
            if( $current_version=='' ) {
    			realos_theme_update(0);
    		} else if($current_version < REALOS_THEME_VERSION){
    			realos_theme_update($current_version);
    		}
        }
    }

    if(!function_exists('realos_add_body_class_construct')) {
        function realos_add_body_class_construct($classes){
            $realosBodyClass = realosBodyClass::newInstance();
            $classes = array_merge($classes, $realosBodyClass->get());
            return $classes;
        }
    }
    if(!function_exists('realos_body_class')) {
        function realos_body_class($echo = true){
            /**
            * Print body classes.
            *
            * @param string $echo Optional parameter.
            * @return print string with all body classes concatenated
            */
            osc_add_filter('realos_bodyClass','realos_add_body_class_construct');
            $classes = osc_apply_filter('realos_bodyClass', array());
            if($echo && count($classes)){
                echo 'class="'.implode(' ',$classes).'"';
            } else {
                return $classes;
            }
        }
    }
    if(!function_exists('realos_add_body_class')) {
        function realos_add_body_class($class){
            /**
            * Add new body class to body class array.
            *
            * @param string $class required parameter.
            */
            $realosBodyClass = realosBodyClass::newInstance();
            $realosBodyClass->add($class);
        }
    }
    if(!function_exists('realos_nofollow_construct')) {
        /**
        * Hook for header, meta tags robots nofollos
        */
        function realos_nofollow_construct() {
            echo '<meta name="robots" content="noindex, nofollow, noarchive" />' . PHP_EOL;
            echo '<meta name="googlebot" content="noindex, nofollow, noarchive" />' . PHP_EOL;

        }
    }
    if( !function_exists('realos_follow_construct') ) {
        /**
        * Hook for header, meta tags robots follow
        */
        function realos_follow_construct() {
            echo '<meta name="robots" content="index, follow" />' . PHP_EOL;
            echo '<meta name="googlebot" content="index, follow" />' . PHP_EOL;

        }
    }
    /* logo */
    if( !function_exists('logo_header') ) {
        function logo_header() {
             $logo = osc_get_preference('logo','realos');
             $html = '<img border="0" alt="' . osc_esc_html(osc_page_title()). '" src="' . realos_logo_url() . '">';
             if( $logo!='' && file_exists( osc_uploads_path() . $logo ) ) {
                return $html;
             } else {
                return osc_page_title();
            }
        }
    }
    /* logo */
    if( !function_exists('realos_logo_url') ) {
        function realos_logo_url() {
            $logo = osc_get_preference('logo','realos');
            if( $logo ) {
                return osc_uploads_url($logo);
            }
            return false;
        }
    }

    // Location Banner Images URLs
    if( !function_exists('locationbanner1_url') ) {
        function locationbanner1_url() {
            $banner = osc_get_preference('banner1','realos');
            if( $banner ) {
                return osc_uploads_url($banner);
            }
            return osc_current_web_theme_url('images/city1.jpg');
        }
    }
    if( !function_exists('locationbanner2_url') ) {
        function locationbanner2_url() {
            $banner = osc_get_preference('banner2','realos');
            if( $banner ) {
                return osc_uploads_url($banner);
            }
            return osc_current_web_theme_url('images/city2.jpg');
        }
    }
    if( !function_exists('locationbanner3_url') ) {
        function locationbanner3_url() {
            $banner = osc_get_preference('banner3','realos');
            if( $banner ) {
                return osc_uploads_url($banner);
            }
            return osc_current_web_theme_url('images/city3.jpg');
        }
    }
    if( !function_exists('locationbanner4_url') ) {
        function locationbanner4_url() {
            $banner = osc_get_preference('banner4','realos');
            if( $banner ) {
                return osc_uploads_url($banner);
            }
            return osc_current_web_theme_url('images/city4.jpg');
        }
    }
    if( !function_exists('locationbanner5_url') ) {
        function locationbanner5_url() {
            $banner = osc_get_preference('banner5','realos');
            if( $banner ) {
                return osc_uploads_url($banner);
            }
            return osc_current_web_theme_url('images/city5.jpg');
        }
    }
    // Home Search Background
    if( !function_exists('homebg_url') ) {
        function homebg_url() {
            $banner = osc_get_preference('homebg','realos');
            if( $banner ) {
                return osc_uploads_url($banner);
            }
            return osc_current_web_theme_url('images/cityview.jpg');
        }
    }

    if( !function_exists('realos_draw_item') ) {
        function realos_draw_item($class = false,$admin = false, $premium = false) {
            $filename = 'loop-single';
            if($premium){
                $filename .='-premium';
            }
            require WebThemes::newInstance()->getCurrentThemePath().$filename.'.php';
        }
    }
    if( !function_exists('realos_show_as') ){
        function realos_show_as(){

            $p_sShowAs    = Params::getParam('sShowAs');
            $aValidShowAsValues = array('list', 'gallery');
            if (!in_array($p_sShowAs, $aValidShowAsValues)) {
                $p_sShowAs = realos_default_show_as();
            }

            return $p_sShowAs;
        }
    }
    if( !function_exists('realos_default_show_as') ){
        function realos_default_show_as(){
            return getPreference('defaultShowAs@all','realos');
        }
    }
    if( !function_exists('realos_default_location_show_as') ){
        function realos_default_location_show_as(){
            return osc_get_preference('defaultLocationShowAs','realos');
        }
    }
    if( !function_exists('realos_draw_categories_list') ) {
        function realos_draw_categories_list(){ ?>
        <div class="row">
         <?php
         //cell_3
        $total_categories   = osc_count_categories();
        $col1_max_cat       = ceil($total_categories/4);

         osc_goto_first_category();
         $i      = 0;

         while ( osc_has_categories() ) {
         ?>
        <?php
            if($i%$col1_max_cat == 0){
                if($i > 0) { echo '</div>'; }
                if($i == 0) {
                   echo '<div class="col-md-3 col-sm-4 col-xs-12 first_col">';
                } else {
                    echo '<div class="col-md-3 col-sm-4 col-xs-12">';
                }
            }
        ?>
        <ul class="r-list list-unstyled">
             <li>
                 <h4>
                    <?php
                    $_slug      = osc_category_slug();
                    $_url       = osc_search_category_url();
                    $_name      = osc_category_name();
                    $_total_items = osc_category_total_items();
                    if ( osc_count_subcategories() > 0 ) { ?>
                    <span class="collapse resp-toogle"><i class="fa fa-caret-right fa-lg"></i></span>
                    <?php } ?>
                    <?php if($_total_items > 0) { ?>
                    <a class="category <?php echo $_slug; ?>" href="<?php echo $_url; ?>"><?php echo $_name ; ?></a> <span class="text-muted">(<?php echo $_total_items ; ?>)</span>
                    <?php } else { ?>
                    <a class="category <?php echo $_slug; ?>" href="#"><?php echo $_name ; ?></a> <span class="text-muted">(<?php echo $_total_items ; ?>)</span>
                    <?php } ?>
                 </h4>
                 <?php if ( osc_count_subcategories() > 0 ) { ?>
                   <ul class="s-list list-unstyled">
                         <?php while ( osc_has_subcategories() ) { ?>
                             <li>
                             <?php if( osc_category_total_items() > 0 ) { ?>
                                 <a class="category sub-category <?php echo osc_category_slug() ; ?>" href="<?php echo osc_search_category_url() ; ?>"><?php echo osc_category_name() ; ?></a> <span class="text-muted">(<?php echo osc_category_total_items() ; ?>)</span>
                             <?php } else { ?>
                                 <a class="category sub-category <?php echo osc_category_slug() ; ?>" href="#"><?php echo osc_category_name() ; ?></a> <span class="text-muted">(<?php echo osc_category_total_items() ; ?>)</span>
                             <?php } ?>
                             </li>
                         <?php } ?>
                   </ul>
                 <?php } ?>
             </li>
        </ul>
        <?php
                $i++;
            }
            echo '</div>';
        ?>
        </div><!-- /Row -->
        <?php
        }
    }
    if( !function_exists('realos_search_number') ) {
        /**
          *
          * @return array
          */
        function realos_search_number() {
            $search_from = ((osc_search_page() * osc_default_results_per_page_at_search()) + 1);
            $search_to   = ((osc_search_page() + 1) * osc_default_results_per_page_at_search());
            if( $search_to > osc_search_total_items() ) {
                $search_to = osc_search_total_items();
            }

            return array(
                'from' => $search_from,
                'to'   => $search_to,
                'of'   => osc_search_total_items()
            );
        }
    }
    /*
     * Helpers used at view
     */
    if( !function_exists('realos_item_title') ) {
        function realos_item_title() {
            $title = osc_item_title();
            foreach( osc_get_locales() as $locale ) {
                if( Session::newInstance()->_getForm('title') != "" ) {
                    $title_ = Session::newInstance()->_getForm('title');
                    if( @$title_[$locale['pk_c_code']] != "" ){
                        $title = $title_[$locale['pk_c_code']];
                    }
                }
            }
            return $title;
        }
    }
    if( !function_exists('realos_item_description') ) {
        function realos_item_description() {
            $description = osc_item_description();
            foreach( osc_get_locales() as $locale ) {
                if( Session::newInstance()->_getForm('description') != "" ) {
                    $description_ = Session::newInstance()->_getForm('description');
                    if( @$description_[$locale['pk_c_code']] != "" ){
                        $description = $description_[$locale['pk_c_code']];
                    }
                }
            }
            return $description;
        }
    }
    if( !function_exists('related_listings') ) {
        function related_listings() {
            View::newInstance()->_exportVariableToView('items', array());

            $mSearch = new Search();
            $mSearch->addCategory(osc_item_category_id());
            $mSearch->addRegion(osc_item_region());
            $mSearch->addItemConditions(sprintf("%st_item.pk_i_id < %s ", DB_TABLE_PREFIX, osc_item_id()));
            $mSearch->limit('0', '3');

            $aItems      = $mSearch->doSearch();
            $iTotalItems = count($aItems);
            if( $iTotalItems == 3 ) {
                View::newInstance()->_exportVariableToView('items', $aItems);
                return $iTotalItems;
            }
            unset($mSearch);

            $mSearch = new Search();
            $mSearch->addCategory(osc_item_category_id());
            $mSearch->addItemConditions(sprintf("%st_item.pk_i_id != %s ", DB_TABLE_PREFIX, osc_item_id()));
            $mSearch->limit('0', '3');

            $aItems = $mSearch->doSearch();
            $iTotalItems = count($aItems);
            if( $iTotalItems > 0 ) {
                View::newInstance()->_exportVariableToView('items', $aItems);
                return $iTotalItems;
            }
            unset($mSearch);

            return 0;
        }
    }

    if( !function_exists('osc_is_contact_page') ) {
        function osc_is_contact_page() {
            if( Rewrite::newInstance()->get_location() === 'contact' ) {
                return true;
            }

            return false;
        }
    }

    if( !function_exists('get_breadcrumb_lang') ) {
        function get_breadcrumb_lang() {
            $lang = array();
            $lang['item_add']               = __('Publish a listing', 'realos');
            $lang['item_edit']              = __('Edit your listing', 'realos');
            $lang['item_send_friend']       = __('Send to a friend', 'realos');
            $lang['item_contact']           = __('Contact publisher', 'realos');
            $lang['search']                 = __('Search results', 'realos');
            $lang['search_pattern']         = __('Search results: %s', 'realos');
            $lang['user_dashboard']         = __('Dashboard', 'realos');
            $lang['user_dashboard_profile'] = __("%s's profile", 'realos');
            $lang['user_account']           = __('Edit profile', 'realos');
            $lang['user_items']             = __('Listings', 'realos');
            $lang['user_alerts']            = __('Saved searches', 'realos');
            $lang['user_profile']           = __('Update account', 'realos');
            $lang['user_change_email']      = __('Change email', 'realos');
            $lang['user_change_username']   = __('Change username', 'realos');
            $lang['user_change_password']   = __('Change password', 'realos');
            $lang['login']                  = __('Login', 'realos');
            $lang['login_recover']          = __('Recover password', 'realos');
            $lang['login_forgot']           = __('Change password', 'realos');
            $lang['register']               = __('Create a new account', 'realos');
            $lang['contact']                = __('Contact', 'realos');
            return $lang;
        }
    }

    if(!function_exists('user_dashboard_redirect')) {
        function user_dashboard_redirect() {
            $page   = Params::getParam('page');
            $action = Params::getParam('action');
            if($page=='user' && $action=='dashboard') {
                if(ob_get_length()>0) {
                    ob_end_flush();
                }
                header("Location: ".osc_user_list_items_url(), TRUE,301);
            }
        }
        osc_add_hook('init', 'user_dashboard_redirect');
    }

    if( !function_exists('get_user_menu') ) {
        function get_user_menu() {
            $options[] = array(
                'name' => __('Public Profile', 'realos'),
                 'url' => osc_user_public_profile_url(),
               'class' => 'opt_publicprofile'
            );

            $options[] = array(
                'name'  => __('Listings', 'realos'),
                'url'   => osc_user_list_items_url(),
                'class' => 'my_items'
            );
            $options[] = array(
                'name' => __('Saved searches', 'realos'),
                'url' => osc_user_alerts_url(),
                'class' => 'my_alerts'
            );
            $options[] = array(
                'name'  => __('Edit profile', 'realos'),
                'url'   => osc_user_profile_url(),
                'class' => 'my_account'
            );
            $options[] = array(
                'name'  => __('Change email', 'realos'),
                'url'   => osc_change_user_email_url(),
                'class' => 'opt_change_email'
            );
            $options[] = array(
                'name'  => __('Change username', 'realos'),
                'url'   => osc_change_user_username_url(),
                'class' => 'opt_change_username'
            );
            $options[] = array(
                'name'  => __('Change password', 'realos'),
                'url'   => osc_change_user_password_url(),
                'class' => 'opt_change_password'
            );

            return $options;
        }
    }

    if( !function_exists('delete_user_js') ) {
        function delete_user_js() {
            $location = Rewrite::newInstance()->get_location();
            $section  = Rewrite::newInstance()->get_section();
            if( ($location === 'user' && in_array($section, array('dashboard', 'profile', 'alerts', 'change_email', 'change_username',  'change_password', 'items'))) || (Params::getParam('page') ==='custom' && Params::getParam('in_user_menu')==true ) ) {
                osc_enqueue_script('delete-user-js');
            }
        }
        osc_add_hook('header', 'delete_user_js', 1);
    }

    if( !function_exists('user_info_js') ) {
        function user_info_js() {
            $location = Rewrite::newInstance()->get_location();
            $section  = Rewrite::newInstance()->get_section();

            if( $location === 'user' && in_array($section, array('dashboard', 'profile', 'alerts', 'change_email', 'change_username',  'change_password', 'items')) ) {
                $user = User::newInstance()->findByPrimaryKey( Session::newInstance()->_get('userId') );
                View::newInstance()->_exportVariableToView('user', $user);
                ?>
<script type="text/javascript">
    realos.user = {};
    realos.user.id = '<?php echo osc_user_id(); ?>';
    realos.user.secret = '<?php echo osc_user_field("s_secret"); ?>';
</script>
            <?php }
        }
        osc_add_hook('header', 'user_info_js');
    }

    function theme_realos_actions_admin() {
        //if(OC_ADMIN)
        switch( Params::getParam('action_specific') ) {
            case('settings'):
                $footerLink  = Params::getParam('footer_link');
                $authorLink  = Params::getParam('author_link');

                osc_set_preference('keyword_placeholder', Params::getParam('keyword_placeholder'), 'realos');
                osc_set_preference('footer_link', ($footerLink ? '1' : '0'), 'realos');
                osc_set_preference('author_link', ($authorLink ? '1' : '0'), 'realos');
                osc_set_preference('defaultShowAs@all', Params::getParam('defaultShowAs@all'), 'realos');
                osc_set_preference('defaultShowAs@search', Params::getParam('defaultShowAs@all'));
                osc_set_preference('defaultLocationShowAs', Params::getParam('defaultLocationShowAs'), 'realos');

				$i = 0; while ( osc_has_categories() ) { 
				osc_set_preference('cat_icon_'.osc_category_id(), Params::getParam('cat_icon_'.osc_category_id()), 'realos');
  				$i++; }

                osc_set_preference('facebook_link', Params::getParam('facebook_link'), 'realos');
                osc_set_preference('twitter_link', Params::getParam('twitter_link'), 'realos');
                osc_set_preference('google_plus_link', Params::getParam('google_plus_link'), 'realos');
                osc_set_preference('youtube_link', Params::getParam('youtube_link'), 'realos');
                osc_set_preference('pinterest_link', Params::getParam('pinterest_link'), 'realos');

                osc_set_preference('address-map', trim(Params::getParam('address-map', false, false, false)), 'realos');
                osc_set_preference('contact-address', trim(Params::getParam('contact-address', false, false, false)), 'realos');
                osc_set_preference('footer-widget-1', trim(Params::getParam('footer-widget-1', false, false, false)), 'realos');
                osc_set_preference('footer-widget-2', trim(Params::getParam('footer-widget-2', false, false, false)), 'realos');
                osc_set_preference('item-page-middle-728x90', trim(Params::getParam('item-page-middle-728x90', false, false, false)), 'realos');
                osc_set_preference('header-728x90', trim(Params::getParam('header-728x90', false, false, false)), 'realos');
                osc_set_preference('homepage-728x90', trim(Params::getParam('homepage-728x90', false, false, false)), 'realos');
                osc_set_preference('sidebar-300x250', trim(Params::getParam('sidebar-300x250', false, false, false)), 'realos');
                osc_set_preference('search-results-top-728x90', trim(Params::getParam('search-results-top-728x90', false, false, false)), 'realos');
                osc_set_preference('search-results-middle-728x90',  trim(Params::getParam('search-results-middle-728x90', false, false, false)), 'realos');

                osc_add_flash_ok_message(__('Theme settings updated correctly', 'realos'), 'admin');
                osc_redirect_to(osc_admin_render_theme_url('oc-content/themes/realos/admin/settings.php'));
            break;
            case('upload_logo'):

                $package = Params::getFiles('logo');
                if( $package['error'] == UPLOAD_ERR_OK ) {
                    $img = ImageResizer::fromFile($package['tmp_name']);
                    $ext = $img->getExt();
                    $logo_name     = 'realos_logo';
                    $logo_name    .= '.'.$ext;
                    $path = osc_uploads_path() . $logo_name ;
                    $img->saveToFile($path);

                    osc_set_preference('logo', $logo_name, 'realos');

                    osc_add_flash_ok_message(__('The logo image has been uploaded correctly', 'realos'), 'admin');
                } else {
                    osc_add_flash_error_message(__("An error has occurred, please try again", 'realos'), 'admin');
                }
                osc_redirect_to(osc_admin_render_theme_url('oc-content/themes/realos/admin/header.php'));
            break;
            case('upload_homebg'):
                $package = Params::getFiles('homebg');
                if( $package['error'] == UPLOAD_ERR_OK ) {
                    $img = ImageResizer::fromFile($package['tmp_name']);
                    $ext = $img->getExt();
                    $homebg_name    = 'realos_homebg';
                    $homebg_name    .= '.'.$ext;
                    $path = osc_uploads_path() . $homebg_name ;
                    //$img->saveToFile($path);
                    move_uploaded_file($package['tmp_name'], $path);

                    osc_set_preference('homebg', $homebg_name, 'realos');
                }
                osc_add_flash_ok_message(__('Search background image has been uploaded correctly', 'realos'), 'admin');
                osc_redirect_to(osc_admin_render_theme_url('oc-content/themes/realos/admin/advsettings.php'));
            break;
            case('upload_banner1'):
                osc_set_preference('city_1', Params::getParam('city_1'), 'realos');
                osc_set_preference('city_1_linkto', Params::getParam('city_1_linkto'), 'realos');

                $package = Params::getFiles('banner1');
                if( $package['error'] == UPLOAD_ERR_OK ) {
                    $img = ImageResizer::fromFile($package['tmp_name']);
                    $ext = $img->getExt();
                    $location_banner1   = 'realos_banner1';
                    $location_banner1   .= '.'.$ext;
                    $path = osc_uploads_path() . $location_banner1 ;
                    //$img->saveToFile($path);
                    move_uploaded_file($package['tmp_name'], $path);

                    osc_set_preference('banner1', $location_banner1, 'realos');     
                }
                osc_add_flash_ok_message(__('Location settings has been saved correctly', 'realos'), 'admin');
                osc_redirect_to(osc_admin_render_theme_url('oc-content/themes/realos/admin/advsettings.php'));
            break;
            case('upload_banner2'):
                osc_set_preference('city_2', Params::getParam('city_2'), 'realos');
                osc_set_preference('city_2_linkto', Params::getParam('city_2_linkto'), 'realos');

                $package = Params::getFiles('banner2');
                if( $package['error'] == UPLOAD_ERR_OK ) {
                    $img = ImageResizer::fromFile($package['tmp_name']);
                    $ext = $img->getExt();
                    $location_banner2     = 'realos_banner2';
                    $location_banner2    .= '.'.$ext;
                    $path = osc_uploads_path() . $location_banner2;
                    //$img->saveToFile($path);
                    move_uploaded_file($package['tmp_name'], $path);

                    osc_set_preference('banner2', $location_banner2, 'realos');
                }
                osc_add_flash_ok_message(__('Location settings has been saved correctly', 'realos'), 'admin');
                osc_redirect_to(osc_admin_render_theme_url('oc-content/themes/realos/admin/advsettings.php'));
            break;
            case('upload_banner3'):
                osc_set_preference('city_3', Params::getParam('city_3'), 'realos');
                osc_set_preference('city_3_linkto', Params::getParam('city_3_linkto'), 'realos');

                $package = Params::getFiles('banner3');
                if( $package['error'] == UPLOAD_ERR_OK ) {
                    $img = ImageResizer::fromFile($package1['tmp_name']);
                    $ext = $img->getExt();
                    $location_banner3     = 'realos_banner3';
                    $location_banner3    .= '.'.$ext;
                    $path = osc_uploads_path() . $location_banner3;
                    //$img->saveToFile($path);
                    move_uploaded_file($package1['tmp_name'], $path);

                    osc_set_preference('banner3', $location_banner3, 'realos');
                }
                osc_add_flash_ok_message(__('Location settings has been saved correctly', 'realos'), 'admin');
                osc_redirect_to(osc_admin_render_theme_url('oc-content/themes/realos/admin/advsettings.php'));
            break;
            case('upload_banner4'):
                osc_set_preference('city_4', Params::getParam('city_4'), 'realos');
                osc_set_preference('city_4_linkto', Params::getParam('city_4_linkto'), 'realos');

                $package = Params::getFiles('banner4');
                if( $package['error'] == UPLOAD_ERR_OK ) {
                    $img = ImageResizer::fromFile($package['tmp_name']);
                    $ext = $img->getExt();
                    $location_banner4     = 'realos_banner4';
                    $location_banner4    .= '.'.$ext;
                    $path = osc_uploads_path() . $location_banner4;
                    //$img->saveToFile($path);
                    move_uploaded_file($package['tmp_name'], $path);

                    osc_set_preference('banner4', $location_banner4, 'realos');
                }
                osc_add_flash_ok_message(__('Location settings has been saved correctly', 'realos'), 'admin');
                osc_redirect_to(osc_admin_render_theme_url('oc-content/themes/realos/admin/advsettings.php'));
            break;
            case('upload_banner5'):
                osc_set_preference('city_5', Params::getParam('city_5'), 'realos');
                osc_set_preference('city_5_linkto', Params::getParam('city_5_linkto'), 'realos');

                $package = Params::getFiles('banner5');
                if( $package['error'] == UPLOAD_ERR_OK ) {
                    $img = ImageResizer::fromFile($package['tmp_name']);
                    $ext = $img->getExt();
                    $location_banner5     = 'realos_banner5';
                    $location_banner5    .= '.'.$ext;
                    $path = osc_uploads_path() . $location_banner5;
                    //$img->saveToFile($path);
                    move_uploaded_file($package['tmp_name'], $path);

                    osc_set_preference('banner5', $location_banner5, 'realos');
                }
                osc_add_flash_ok_message(__('Location settings has been saved correctly', 'realos'), 'admin');
                osc_redirect_to(osc_admin_render_theme_url('oc-content/themes/realos/admin/advsettings.php'));
            break;
            case('remove'):
                $logo = osc_get_preference('logo','realos');
                $path = osc_uploads_path() . $logo ;
                if(file_exists( $path ) ) {
                    @unlink( $path );
                    osc_delete_preference('logo','realos');
                    osc_reset_preferences();
                    osc_add_flash_ok_message(__('The logo image has been removed', 'realos'), 'admin');
                } else {
                    osc_add_flash_error_message(__("Image not found", 'realos'), 'admin');
                }
                osc_redirect_to(osc_admin_render_theme_url('oc-content/themes/realos/admin/header.php'));
            break;
            case('remove_homebg'):
                $banner = osc_get_preference('homebg','realos');
                $path = osc_uploads_path() . $banner ;
                if(file_exists( $path ) ) {
                    @unlink( $path );
                    osc_delete_preference('homebg','realos');
                    osc_reset_preferences();
                    osc_add_flash_ok_message(__('The search background image has been removed', 'realos'), 'admin');
                } else {
                    osc_add_flash_error_message(__("Image not found", 'realos'), 'admin');
                }
                osc_redirect_to(osc_admin_render_theme_url('oc-content/themes/realos/admin/advsettings.php'));
            break;
            case('remove_banner1'):
                $banner = osc_get_preference('banner1','realos');
                $path = osc_uploads_path() . $banner ;
                if(file_exists( $path ) ) {
                    @unlink( $path );
                    osc_delete_preference('banner1','realos');
                    osc_reset_preferences();
                    osc_add_flash_ok_message(__('The banner image has been removed', 'realos'), 'admin');
                } else {
                    osc_add_flash_error_message(__("Image not found", 'realos'), 'admin');
                }
                osc_redirect_to(osc_admin_render_theme_url('oc-content/themes/realos/admin/advsettings.php'));
            break;
            case('remove_banner2'):
                $banner = osc_get_preference('banner2','realos');
                $path = osc_uploads_path() . $banner ;
                if(file_exists( $path ) ) {
                    @unlink( $path );
                    osc_delete_preference('banner2','realos');
                    osc_reset_preferences();
                    osc_add_flash_ok_message(__('The banner image has been removed', 'realos'), 'admin');
                } else {
                    osc_add_flash_error_message(__("Image not found", 'realos'), 'admin');
                }
                osc_redirect_to(osc_admin_render_theme_url('oc-content/themes/realos/admin/advsettings.php'));
            break;
            case('remove_banner3'):
                $banner = osc_get_preference('banner3','realos');
                $path = osc_uploads_path() . $banner ;
                if(file_exists( $path ) ) {
                    @unlink( $path );
                    osc_delete_preference('banner3','realos');
                    osc_reset_preferences();
                    osc_add_flash_ok_message(__('The banner image has been removed', 'realos'), 'admin');
                } else {
                    osc_add_flash_error_message(__("Image not found", 'realos'), 'admin');
                }
                osc_redirect_to(osc_admin_render_theme_url('oc-content/themes/realos/admin/advsettings.php'));
            break;
            case('remove_banner4'):
                $banner = osc_get_preference('banner4','realos');
                $path = osc_uploads_path() . $banner ;
                if(file_exists( $path ) ) {
                    @unlink( $path );
                    osc_delete_preference('banner4','realos');
                    osc_reset_preferences();
                    osc_add_flash_ok_message(__('The banner image has been removed', 'realos'), 'admin');
                } else {
                    osc_add_flash_error_message(__("Image not found", 'realos'), 'admin');
                }
                osc_redirect_to(osc_admin_render_theme_url('oc-content/themes/realos/admin/advsettings.php'));
            break;
            case('remove_banner5'):
                $banner = osc_get_preference('banner5','realos');
                $path = osc_uploads_path() . $banner ;
                if(file_exists( $path ) ) {
                    @unlink( $path );
                    osc_delete_preference('banner5','realos');
                    osc_reset_preferences();
                    osc_add_flash_ok_message(__('The banner image has been removed', 'realos'), 'admin');
                } else {
                    osc_add_flash_error_message(__("Image not found", 'realos'), 'admin');
                }
                osc_redirect_to(osc_admin_render_theme_url('oc-content/themes/realos/admin/advsettings.php'));
            break;
        }
    }

    function realos_redirect_user_dashboard()
    {
        if( (Rewrite::newInstance()->get_location() === 'user') && (Rewrite::newInstance()->get_section() === 'dashboard') ) {
            header('Location: ' .osc_user_list_items_url());
            exit;
        }
    }

    function realos_delete() {
        Preference::newInstance()->delete(array('s_section' => 'realos'));
    }

    osc_add_hook('init', 'realos_redirect_user_dashboard', 2);
    osc_add_hook('init_admin', 'theme_realos_actions_admin');
    osc_add_hook('theme_delete_realos', 'realos_delete');
    osc_add_admin_submenu_divider('appearance', __('Realos Theme', 'realos'), 'gum_theme_div');
    osc_admin_menu_appearance(__('Logo uploader', 'realos'), osc_admin_render_theme_url('oc-content/themes/realos/admin/header.php'), 'header_realos');
    osc_admin_menu_appearance(__('General settings', 'realos'), osc_admin_render_theme_url('oc-content/themes/realos/admin/settings.php'), 'settings_realos');
    osc_admin_menu_appearance(__('Advanced settings', 'realos'), osc_admin_render_theme_url('oc-content/themes/realos/admin/advsettings.php'), 'advsettings_realos');
/**
TRIGGER FUNCTIONS
*/
check_install_realos_theme();

function realos_sidebar_category_search($catId = null)
{
    $aCategories = array();
    if($catId==null) {
        $aCategories[] = Category::newInstance()->findRootCategoriesEnabled();
    } else {
        // if parent category, only show parent categories
        $aCategories = Category::newInstance()->toRootTree($catId);
        end($aCategories);
        $cat = current($aCategories);
        // if is parent of some category
        $childCategories = Category::newInstance()->findSubcategoriesEnabled($cat['pk_i_id']);
        if(count($childCategories) > 0) {
            $aCategories[] = $childCategories;
        }
    }

    if(count($aCategories) == 0) {
        return "";
    }

    realos_print_sidebar_category_search($aCategories, $catId);
}

function realos_print_sidebar_category_search($aCategories, $current_category = null, $i = 0)
{
    $class = '';
    if(!isset($aCategories[$i])) {
        return null;
    }

    if($i===0) {
        $class = 'class="refine-category"';
    }

    $c   = $aCategories[$i];
    $i++;
    if(!isset($c['pk_i_id'])) {
        echo '<ul '.$class.'>';
        if($i==1) {
            echo '<li><a href="'.osc_esc_html(osc_update_search_url(array('sCategory'=>null, 'iPage'=>null))).'">'.__('All categories', 'realos')."</a></li>";
        }
        foreach($c as $key => $value) {
    ?>
            <li>
                <a id="cat_<?php echo osc_esc_html($value['pk_i_id']);?>" href="<?php echo osc_esc_html(osc_update_search_url(array('sCategory'=> $value['s_slug'], 'iPage'=>null))); ?>">
                <?php if(isset($current_category) && $current_category == $value['pk_i_id']){ echo '<strong>'.$value['s_name'].'</strong>'; }
                else{ echo $value['s_name']; } ?>
                </a>

            </li>
    <?php
        }
        if($i==1) {
        echo "</ul>";
        } else {
        echo "</ul>";
        }
    } else {
    ?>
    <ul <?php echo $class;?>>
        <?php if($i==1) { ?>
        <li><a href="<?php echo osc_esc_html(osc_update_search_url(array('sCategory'=>null, 'iPage'=>null))); ?>"><?php _e('All categories', 'realos'); ?></a></li>
        <?php } ?>
            <li>
                <a id="cat_<?php echo osc_esc_html($c['pk_i_id']);?>" href="<?php echo osc_esc_html(osc_update_search_url(array('sCategory'=> $c['s_slug'], 'iPage'=>null))); ?>">
                <?php if(isset($current_category) && $current_category == $c['pk_i_id']){ echo '<strong>'.$c['s_name'].'</strong>'; }
                      else{ echo $c['s_name']; } ?>
                </a>
                <?php realos_print_sidebar_category_search($aCategories, $current_category, $i); ?>
            </li>
        <?php if($i==1) { ?>
        <?php } ?>
    </ul>
<?php
    }
}

/**

CLASSES

*/
class realosBodyClass
{
    /**
    * Custom Class for add, remove or get body classes.
    *
    * @param string $instance used for singleton.
    * @param array $class.
    */
    private static $instance;
    private $class;

    private function __construct()
    {
        $this->class = array();
    }

    public static function newInstance()
    {
        if (  !self::$instance instanceof self)
        {
            self::$instance = new self;
        }
        return self::$instance;
    }

    public function add($class)
    {
        $this->class[] = $class;
    }
    public function get()
    {
        return $this->class;
    }
}

/**
HELPERS
*/
if( !function_exists('osc_uploads_url')) {
    function osc_uploads_url($item = '') {
        $logo = osc_get_preference('logo', 'realos');
        if ($logo != '' && file_exists(osc_uploads_path() . $logo)) {
            $path = str_replace(ABS_PATH, '', osc_uploads_path() . '/');
            return osc_base_url() . $path . $item;
        }
    }
}

/**
SEARCH MIDDLE ADS
**/
if (!function_exists('search_ads_listing_medium_fn')) {
    function search_ads_listing_medium_fn() {
        if(osc_get_preference('search-results-middle-728x90', 'realos')!='') {
            echo '<div class="adslot searchmiddle_728 clearfix text-center">' . PHP_EOL;
            echo osc_get_preference('search-results-middle-728x90', 'realos');
            echo '</div>' . PHP_EOL;
        }
    }
}
osc_add_hook('search_ads_listing_medium', 'search_ads_listing_medium_fn');

	
/**
PREMIUM CURRENCY
**/
function osc_format_premium_price() {
	$price=osc_premium_field("i_price") ;
	if ($price == null) return osc_apply_filter ('item_price_null', __('Check with seller', 'realos') ) ;
	if ($price == 0) return osc_apply_filter ('item_price_zero', __('Free', 'realos') ) ;

	$price = $price/1000000;

	$currencyFormat = osc_locale_currency_format();
	$currencyFormat = str_replace('{NUMBER}', number_format($price, osc_locale_num_dec(), osc_locale_dec_point(), osc_locale_thousands_sep()), $currencyFormat);
	$currencyFormat = str_replace('{CURRENCY}', osc_premium_currency_symbol(), $currencyFormat);
	return osc_apply_filter('item_price', $currencyFormat );
}

/** 
WORD LIMIT
**/
function truncate($input, $maxWords, $maxChars)
{
    $words = preg_split('/\s+/', $input);
    $words = array_slice($words, 0, $maxWords);
    $words = array_reverse($words);

    $chars = 0;
    $truncated = array();

    while(count($words) > 0)
    {
        $fragment = trim(array_pop($words));
        $chars += strlen($fragment);

        if($chars > $maxChars) break;

        $truncated[] = $fragment;
    }

    $result = implode($truncated, ' ');
    return $result . ($input == $result ? '' : '');
}
?>