<!DOCTYPE html>
<html lang="<?php echo str_replace('_', '-', osc_current_user_locale()); ?>">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title><?php echo meta_title(); ?></title>
<meta name="title" content="<?php echo osc_esc_html(meta_title()); ?>" />
<?php if( meta_description() != '' ) { ?>
<meta name="description" content="<?php echo osc_esc_html(meta_description()); ?>" />
<?php } ?>
<?php if( meta_keywords() != '' ) { ?>
<meta name="keywords" content="<?php echo osc_esc_html(meta_keywords()); ?>" />
<?php } ?>
<?php if( osc_get_canonical() != '' ) { ?>
<link rel="canonical" href="<?php echo osc_get_canonical(); ?>"/>
<?php } ?>
<?php if( osc_is_ad_page() ) { ?>
<meta property="og:url" content="<?php echo osc_item_title(); ?>" />
<meta property="og:type" content="article" />
<meta property="og:url" content="<?php echo osc_item_url(); ?>" />
<meta property="og:description" content="<?php echo osc_esc_html(osc_highlight(osc_item_description(), 100)); ?>" />
<?php } else { ?>
<meta property="og:title" content="<?php echo osc_page_title(); ?>" />
<meta property="og:type" content="website" />
<meta property="og:url" content="<?php echo osc_base_url(); ?>" />
<meta property="og:description" content="<?php echo osc_esc_html(meta_description()); ?>" />
<?php } ?>
<link rel="shortcut icon" href="<?php echo osc_current_web_theme_url('favicon.ico'); ?>">
<!-- Header Hook -->
<?php 
osc_enqueue_script('jquery-ui');
osc_run_hook('header'); ?>
<!-- /Header Hook -->
<link href="https://fonts.googleapis.com/css?family=Oxygen:300,400,700" rel="stylesheet">
<link href="http://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css" rel="stylesheet">
<link href="<?php echo osc_current_web_theme_url('css/bootstrap-social.css') ; ?>" rel="stylesheet" type="text/css">
<link href="<?php echo osc_current_web_theme_url('css/owl.carousel.css'); ?>" rel="stylesheet" type="text/css" media="screen" />
<link href="<?php echo osc_current_web_theme_url('style.css') ; ?>" rel="stylesheet" type="text/css">
<link href="<?php echo osc_current_web_theme_url('css/mobile.css') ; ?>" rel="stylesheet" type="text/css">
<link href="<?php echo osc_current_web_theme_url('js/jquery-ui/jquery-ui-1.10.2.custom.min.css') ; ?>" rel="stylesheet" type="text/css" />
<!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<![endif]-->
</head>

<body <?php realos_body_class(); ?>>
<div id="header">
	<div class="header_top">
    	<div class="container">
            <div class="row">
            	<div class="col-md-6 col-sm-5 col-xs-12">
            		<div class="logo clearfix">
            			<h1><a href="<?php echo osc_base_url(); ?>" title="<?php echo osc_esc_html(osc_page_title()); ?>"><?php echo logo_header(); ?></a></h1>
                  <button type="button" class="navbar-toggle mobile-menu-icon collapsed" data-toggle="collapse" data-target="#top_menu" aria-expanded="false">
                    <span class="sr-only"><?php _e('Toggle navigation','realos'); ?></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                  </button>
            		</div>
                </div>
                <div class="col-md-6 col-sm-7 col-xs-12">
                	<div class="top_links navbar-collapse collapse" id="top_menu">
                	<ul class="navbar-nav navbar-right">
                	<?php if( osc_users_enabled() ) { ?>
                    <?php if( osc_is_web_user_logged_in() ) { ?>
                        <li class="dropdown"><a href="<?php echo osc_user_dashboard_url(); ?>" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false"><?php echo sprintf(__('Hi %s', 'realos'), osc_logged_user_name()); ?> <span class="caret"></span></a>
                            <ul class="dropdown-menu">
                                <li><a href="<?php echo osc_user_dashboard_url(); ?>"><?php _e('Account', 'realos'); ?></a></li>
                                <li><a href="<?php echo osc_user_list_items_url(); ?>"><?php _e('Listings', 'realos'); ?></a></li>
                                <li><a href="<?php echo osc_user_alerts_url(); ?>"><?php _e('Saved search', 'realos'); ?></a></li>
                            </ul>
                        </li>
                        
                        <li><a href="<?php echo osc_user_logout_url(); ?>"><?php _e('Logout', 'realos'); ?></a></li>
                    <?php } else { ?>
                        <li><a href="<?php echo osc_user_login_url(); ?>"><?php _e('Login', 'realos'); ?></a></li>
                        <?php if(osc_user_registration_enabled()) { ?>
                        <li><a href="<?php echo osc_register_account_url(); ?>"><?php _e('Register', 'realos'); ?></a></li>
                        <?php } //Registration Enabled ?>
                    <?php } ?>
                    <?php } //User Enabled ?>
                    <?php if ( osc_count_web_enabled_locales() > 1) { ?>
					          <?php osc_goto_first_locale(); ?>
                    <li class="dropdown"><a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false"><?php _e('Language', 'realos'); ?> <span class="caret"></span></a>
                        <?php $i = 0;  ?>
                        <ul class="dropdown-menu">
                        <?php while ( osc_has_web_enabled_locales() ) { ?>
                        	<li><a id="<?php echo osc_locale_code(); ?>" href="<?php echo osc_change_language_url ( osc_locale_code() ); ?>"><?php echo osc_locale_name(); ?></a></li>
                            <?php $i++; ?>
                        <?php } ?>
                        </ul>
                    </li>
          					<?php } ?>
          					<?php if( osc_users_enabled() || ( !osc_users_enabled() && !osc_reg_user_post() )) { ?>
  	                <li class="addlisting_btn"><a class="btn btn-xs btn-primary" role="button" href="<?php echo osc_item_post_url_in_category(); ?>"><i class="fa fa-plus"></i> <?php _e('Add Listing', 'realos'); ?></a></li>
  	                <?php } ?>
                	</ul>
                </div>
                </div>
            </div>
        </div>
	</div><!-- /Header Top -->

  <?php if( osc_get_preference('header-728x90', 'realos') != '') {?>
  <!-- Header 728x90 -->
  <div class="adslot header_728 text-center">
      <?php echo osc_get_preference('header-728x90', 'realos'); ?>
  </div>
  <!-- /Header 728x90 -->
  <?php } ?>

</div><!-- /Header -->
<?php $breadcrumb = osc_breadcrumb('', false, get_breadcrumb_lang());
if( $breadcrumb !== '') { ?>
<div class="breadcrumbs">
    <div class="container">
    <?php echo $breadcrumb; ?>
    </div>
</div>
<?php } ?>

<?php if(osc_is_ad_page()) {
$location = array();
    if( osc_item_city_area() !== '' ) {
        $location[] = osc_item_city_area();
    }
    if( osc_item_city() !== '' ) {
        $location[] = osc_item_city();
    }
    if( osc_item_region() !== '' ) {
        $location[] = osc_item_region();
    }
    if( osc_item_country() !== '' ) {
        $location[] = osc_item_country();
    } ?>
<div class="item_heading">
    <div class="container">
        <h1 class="primary_title"><?php echo osc_item_title(); ?></h1>
        <?php if( osc_price_enabled_at_items() ) { ?>
            <div class="item_price"><span class="price"><?php echo osc_item_formated_price(); ?></span></div> 
        <?php } ?>
        <?php if (count($location)>0) { ?>
        <span class="location"><i class="fa fa-map fa-lg"></i><?php echo implode(', ', $location); ?></span>
        <?php } ?>
        <span class="category"><i class="fa fa-folder-open fa-lg"></i><?php echo osc_item_category(); ?></span>
        <?php if ( osc_item_mod_date() !== '' ) { ?>
            <span class="date"><i class="fa fa-calendar fa-lg"></i><?php echo osc_format_date( osc_item_mod_date() ); ?></span>
        <?php } else { ?>
            <?php if ( osc_item_pub_date() !== '' ) { ?> 
            <span class="date"><i class="fa fa-calendar fa-lg"></i><?php echo osc_format_date( osc_item_pub_date() ); ?></span>
            <?php } ?>
        <?php } ?>
    </div>
</div>
<?php } ?>

<div class="alerts_info">
	<div class="container">
		<?php osc_show_flash_message(); ?>
	</div>
</div>
    
<div id="main">
    <?php if( osc_is_home_page() ) { ?>
    <div class="home_hero">  
        <img src="<?php echo osc_esc_html(homebg_url()); ?>" alt="<?php echo osc_esc_html(osc_page_title()); ?>">
        <div class="home_search">
            <div class="container">
                <form action="<?php echo osc_base_url(true); ?>" method="get" class="search nocsrf">
                    <input type="hidden" name="page" value="search"/>
                    <div class="search_form row">
                        <div class="col-md-4 col-xs-12">
                            <label><?php _e('Keyword','realos'); ?></label>
                            <input type="text" name="sPattern" id="query" value="<?php echo osc_esc_html(osc_search_pattern()); ?>" placeholder="<?php echo osc_esc_html(__(osc_get_preference('keyword_placeholder', 'realos'), 'realos')); ?>" />
                        </div>
                        <div class="col-md-4 col-sm-6 col-xs-12">
                            <label><?php _e('Where','realos'); ?></label>
                            <input type="text" name="sCity" id="sCity" placeholder="<?php echo osc_esc_html(__('Location or City', 'realos')); ?>">
                            <input name="sRegion" id="sRegion" type="hidden" />
                            <script type="text/javascript">
                                $(function() {
                                    function log( message ) {
                                        $( "<div/>" ).text( message ).prependTo( "#log" );
                                        $( "#log" ).attr( "scrollTop", 0 );
                                    } 
                                    $( "#sCity" ).autocomplete({
                                        source: "<?php echo osc_base_url(true); ?>?page=ajax&action=location",
                                        minLength: 2,
                                        select: function( event, ui ) {
                                            $("#sRegion").attr("value", ui.item.region);
                                            log( ui.item ?
                                            "<?php echo osc_esc_js(__('Selected', 'realos')); ?>: " + ui.item.value + " aka " + ui.item.id :
                                            "<?php echo osc_esc_js(__('Nothing selected, input was', 'realos')); ?> " + this.value );
                                        }
                                    });
                                });
                            </script>
                        </div>
                        <?php if (function_exists('realestate_item_detail')) {?>
                        <div class="col-md-2 col-sm-6 col-xs-12">
                            <label><?php _e('Offer','realos'); ?></label>
                            <select name="property_type" id="property_type">
                                <option value=""><?php _e('Any', 'realestate_attributes'); ?></option>
                                <option value="FOR+RENT" <?php echo (Params::getParam('property_type')=='FOR+RENT')?'selected':''; ?>><?php _e('Rent', 'realestate_attributes'); ?></option>
                                <option value="FOR+SALE" <?php echo (Params::getParam('property_type')=='FOR+SALE')?'selected':''; ?>><?php _e('Sale', 'realestate_attributes'); ?></option>
                            </select>
                        </div>
                        <div class="col-md-2 col-xs-12">
                            <button class="btn btn-block btn-primary"><?php _e('Search','realos'); ?></button>
                        </div>
                        <?php } else { ?>
                        <div class="col-md-3 col-xs-12">
                            <label><?php _e('Category','realos'); ?></label>
                            <?php osc_categories_select('sCategory', null, __('Select a category', 'realos')) ; ?>
                        </div>
                        <div class="col-md-1 col-xs-12">
                            <button class="btn btn-block btn-primary"><?php _e('GO','realos'); ?></button>
                        </div>
                        <?php } ?>
                    </div>
                </form>
            </div>
        </div>
    </div>
    
    <?php osc_goto_first_category();
        if ( osc_count_categories() >= 0 ) { ?>
    <div class="main-categories">
        <div class="container">
            <div class="text-center">
                <h2 class="primary_title"><?php _e('Explore', 'realos'); ?></h2>
                <p class="primary_subtitle text-muted"><?php printf(__('Browse %s listings from %s Categories', 'realos'), osc_total_active_items(), osc_count_categories()); ?></p>
            </div>
            <div class="row">
            <?php while ( osc_has_categories() ) { ?>
                <div class="col-lg-3 col-md-3 col-sm-3 col-xs-6">
                    <div class="main_category category_<?php echo osc_category_id(); ?> text-center">
                        <a href="<?php echo osc_search_category_url(); ?>">
                        <i class="<?php echo osc_esc_html( osc_get_preference('cat_icon_'.osc_category_id(), 'realos') ); ?>"></i>
                        <h5><?php echo osc_category_name(); ?></h5>
                        <span class="count text-muted"><?php echo osc_category_total_items(), ' ' ._n('Listing', 'Listings', osc_category_total_items(), 'realos'); ?></span>
                        </a>
                    </div>
                </div>
            <?php } ?>
            </div>
        </div>
    </div> <!-- /Categories -->
    <?php } ?>
    <?php } ?>
	<div class="container">
    	<div class="row">
        <?php osc_run_hook('left-sidebar'); ?>