<?php
// meta tag robots
osc_add_hook('header','realos_nofollow_construct');

osc_enqueue_script('jquery-validate');
realos_add_body_class('item item-post');
$action = 'item_add_post';
$edit = false;
if(Params::getParam('action') == 'item_edit') {
	$action = 'item_edit_post';
	$edit = true;
}

osc_enqueue_script('tabber');
osc_enqueue_style('tabs', osc_current_web_theme_url('css/tabs.css'));

osc_current_web_theme_path('header.php') ; ?>

<?php
if (realos_default_location_show_as() == 'dropdown') {
	ItemForm::location_javascript();
} else {
	ItemForm::location_javascript_new();
} ?>

<div class="col-md-12 col-sm-12 col-xs-12">
	<div class="itempost form-middle">
        <?php if($edit) { ?>
        <h1 class="primary_title"><?php _e('Edit your listing', 'realos'); ?></h1>
        <?php } else { ?>
		<h1 class="primary_title"><?php _e('Publish a listing', 'realos'); ?></h1>
        <?php } ?>
        <div class="itempost-form formbox">
        	<ul id="error_list"></ul>
            <form name="item" action="<?php echo osc_base_url(true);?>" method="post" enctype="multipart/form-data" id="item-post">
                <input type="hidden" name="action" value="<?php echo $action; ?>" />
                <input type="hidden" name="page" value="item" />
            	<?php if($edit){ ?>
                <input type="hidden" name="id" value="<?php echo osc_item_id();?>" />
                <input type="hidden" name="secret" value="<?php echo osc_item_secret();?>" />
            	<?php } ?>
            	<!--<h3><?php _e('General Information', 'realos'); ?></h3>-->
                <div class="form-group">
                    <label class="control-label" for="select_1"><?php _e('Category', 'realos'); ?></label>
                    <div class="controls">
                        <?php ItemForm::category_select(null, null, __('Select a category', 'realos')); ?>
                        <?php //ItemForm::category_multiple_selects(null, null, null, __('Select a category', 'realos')); ?>
                    </div>
                </div>
                <div class="form-group">
                    <label class="control-label" for="title[<?php echo osc_current_user_locale(); ?>]"><?php _e('Title', 'realos'); ?></label>
                    <div class="controls">
                        <?php ItemForm::title_input('title',osc_current_user_locale(), osc_esc_html( realos_item_title() )); ?>
                    </div>
                </div>
                <div class="form-group">
                    <label class="control-label" for="description[<?php echo osc_current_user_locale(); ?>]"><?php _e('Description', 'realos'); ?></label>
                    <div class="controls">
                        <?php ItemForm::description_textarea('description',osc_current_user_locale(), osc_esc_html( realos_item_description() )); ?>
                    </div>
                </div>
                <?php if($edit) {
                    ItemForm::plugin_edit_item();
                } else {
                    ItemForm::plugin_post_item();
                } ?>
                <?php if( osc_price_enabled_at_items() ) { ?>
                <div class="form-group control-group-price">
                    <label class="control-label" for="price"><?php _e('Price', 'realos'); ?></label>
                    <div class="row controls">
                    	<div class="col-md-8 col-xs-6">
                        	<?php ItemForm::price_input_text(); ?>
                        </div>
                        <div class="col-md-4 col-xs-6">
                        <?php ItemForm::currency_select(); ?>
                        </div>
                    </div>
                </div>
                <?php } ?>
                <?php if( osc_images_enabled_at_items() ) { ?>
                <label class="control-label" for="Photo"><?php _e('Photos', 'realos'); ?></label>
				<?php ItemForm::ajax_photos();
				 } ?>
                 
                 <?php if(count(osc_get_countries()) > 1) { ?>
                <div class="form-group">
                    <label class="control-label" for="country"><?php _e('Country', 'realos'); ?></label>
                    <div class="controls">
                        <?php ItemForm::country_select(osc_get_countries(), osc_user()); ?>
                    </div>
                </div>
                <div class="form-group">
                    <label class="control-label" for="regionId"><?php _e('Region', 'realos'); ?></label>
                    <div class="controls">
                        <?php
                        if (realos_default_location_show_as() == 'dropdown') {
                            ItemForm::region_select(osc_get_regions(osc_user_field('fk_c_country_code')), osc_user());
                        } else {
                            ItemForm::region_text(osc_user());
                        }
                        ?>
                    </div>
                </div>
                <?php } else {
				$aCountries = osc_get_countries();
				$aRegions = osc_get_regions($aCountries[0]['pk_c_code']); ?>
                <input type="hidden" id="countryId" name="countryId" value="<?php echo osc_esc_html($aCountries[0]['pk_c_code']); ?>"/>
                <div class="form-group">
                    <label class="control-label" for="region"><?php _e('Region', 'realos'); ?></label>
                    <div class="controls">
                      <?php
                        if (realos_default_location_show_as() == 'dropdown') {
                            ItemForm::region_select($aRegions, osc_user());
                        } else {
                            ItemForm::region_text(osc_user());
                        }
                        ?>
                    </div>
                </div>
                <?php } ?>
                
                <div class="form-group">
                    <label class="control-label" for="city"><?php _e('City', 'realos'); ?></label>
                    <div class="controls">
                        <?php if (realos_default_location_show_as() == 'dropdown') {
                            if(Params::getParam('action') != 'item_edit') {
                                ItemForm::city_select(null, osc_item());
                            } else { // add new item
                                ItemForm::city_select(osc_get_cities(osc_user_region_id()), osc_user());
                            }
                        } else {
                            ItemForm::city_text(osc_user());
                        } ?>
                    </div>
                </div>
                <div class="form-group">
                    <label class="control-label" for="cityArea"><?php _e('City Area', 'realos'); ?></label>
                    <div class="controls">
                        <?php ItemForm::city_area_text(osc_user()); ?>
                    </div>
                </div>
                <div class="form-group">
                    <label class="control-label" for="address"><?php _e('Address', 'realos'); ?></label>
                    <div class="controls">
                      <?php ItemForm::address_text(osc_user()); ?>
                    </div>
                </div>
                
                <?php if(!osc_is_web_user_logged_in() ) { ?>
                <div class="form-group">
                    <label class="control-label" for="contactName"><?php _e('Name', 'realos'); ?></label>
                    <div class="controls">
                        <?php ItemForm::contact_name_text(); ?>
                    </div>
                </div>
                <div class="form-group">
                    <label class="control-label" for="contactEmail"><?php _e('E-mail', 'realos'); ?></label>
                    <div class="controls">
                        <?php ItemForm::contact_email_text(); ?>
                    </div>
                </div>
                <div class="form-group">
                    <div class="controls checkbox">
                        <label for="showEmail"><?php ItemForm::show_email_checkbox(); ?> <?php _e('Show e-mail on the listing page', 'realos'); ?></label>
                    </div>
                </div>
                <?php } ?>
                <div class="form-group">
                    <?php if( osc_recaptcha_items_enabled() ) { ?>
                        <div class="controls">
                            <?php osc_show_recaptcha(); ?>
                        </div>
                    <?php }?>
                </div>
                <div class="controls">
                    <button type="submit" class="btn btn-primary btn-block"><?php if($edit) { _e("Update", 'realos'); } else { _e("Publish", 'realos'); } ?></button>
                </div>
            </form>
        </div><!-- /Item form -->
    </div><!-- /Item post -->
</div>

<script type="text/javascript">
	$('#price').bind('hide-price', function(){
		$('.control-group-price').hide();
	});

	$('#price').bind('show-price', function(){
		$('.control-group-price').show();
	});

<?php if(osc_locale_thousands_sep()!='' || osc_locale_dec_point() != '') { ?>
$().ready(function(){
	$("#price").blur(function(event) {
		var price = $("#price").prop("value");
		<?php if(osc_locale_thousands_sep()!='') { ?>
		while(price.indexOf('<?php echo osc_esc_js(osc_locale_thousands_sep());  ?>')!=-1) {
			price = price.replace('<?php echo osc_esc_js(osc_locale_thousands_sep());  ?>', '');
		}
		<?php }; ?>
		<?php if(osc_locale_dec_point()!='') { ?>
		var tmp = price.split('<?php echo osc_esc_js(osc_locale_dec_point())?>');
		if(tmp.length>2) {
			price = tmp[0]+'<?php echo osc_esc_js(osc_locale_dec_point())?>'+tmp[1];
		}
		<?php }; ?>
		$("#price").prop("value", price);
	});
});
<?php }; ?>
</script>
<?php osc_current_web_theme_path('footer.php'); ?>
