<?php
    // meta tag robots
    if( osc_item_is_spam() || osc_premium_is_spam() ) {
        osc_add_hook('header','realos_nofollow_construct');
    } else {
        osc_add_hook('header','realos_follow_construct');
    }

    osc_enqueue_script('jquery-validate');

    /*$viewMode = '';
    if(realos_show_as() == 'gallery'){
        $viewMode = 'gallery';
    }*/
    $listClass = 'listview';
    $viewMode = 'list';
    if(realos_show_as() == 'gallery'){
          $viewMode = 'gallery';
          $listClass = 'galleryview row';
    }

    realos_add_body_class('item');

    osc_add_hook('right-sidebar','sidebar');
    function sidebar(){
        osc_current_web_theme_path('item-sidebar.php');
    }

    $location = array();
    if( osc_item_city_area() !== '' ) {
        $location[] = osc_item_city_area();
    }
    if( osc_item_city() !== '' ) {
        $location[] = osc_item_city();
    }
    if( osc_item_region() !== '' ) {
        $location[] = osc_item_region();
    }
    if( osc_item_country() !== '' ) {
        $location[] = osc_item_country();
    }

    osc_current_web_theme_path('header.php');
?>

<!-- Check Header.php for Title section -->

<div class="col-md-7 col-sm-7">
    <?php if( osc_images_enabled_at_items() ) { ?>
    <div class="item_photos">
        <?php if( osc_count_item_resources() > 0 ) {
            $i = 0; ?>
            <a href="<?php echo osc_resource_url(); ?>" class="fancybox" data-fancybox-group="gallery" title="<?php echo osc_esc_html( __('Image', 'realos'). ' ' . ($i+1) . ' / ' . osc_count_item_resources() ); ?>">
                <img src="<?php echo osc_resource_url(); ?>" alt="<?php echo osc_esc_html(osc_item_title()); ?>" title="<?php echo osc_esc_html(osc_item_title()); ?>" class="main-picture img-responsive" />
            </a>
            <?php if( osc_count_item_resources() > 1 ) { ?>
            <div class="thumbnails">
                <ul class="list-unstyled">
                <?php for ( $i = 0; osc_has_item_resources(); $i++ ) { if($i != 0) { // except 1st image ?>
                <li><a href="<?php echo osc_resource_url(); ?>" class="fancybox" data-fancybox-group="gallery" title="<?php echo osc_esc_html( __('Image', 'realos'). ' ' . ($i+1) . ' / ' . osc_count_item_resources() ); ?>">
                    <img src="<?php echo osc_resource_thumbnail_url(); ?>" width="75" alt="<?php echo osc_esc_html(osc_item_title()); ?>" title="<?php echo osc_esc_html(osc_item_title()); ?>" />
                </a></li>
                <?php } ?>
                <?php } ?>
                </ul>
            </div>
            <?php } ?>
        <?php } else { ?>
                <img src="<?php echo osc_current_web_theme_url('images/no-picture.jpg'); ?>" alt="<?php echo osc_esc_html(osc_item_title()) ; ?>" class="img-responsive no-photo">
        <?php } ?>
    </div>
    <?php } ?>
</div>
<div class="col-sm-5 col-md-5">
    <div class="item_location">
        <?php if (count($location)>0) { ?>
            <?php osc_run_hook('location'); ?>
        <?php } else {?>
            <p class="text-center no-map">
            <i class="fa fa-exclamation-triangle fa-2x"></i><br>
            <?php _e('Location is not entered or Google Map plugin is not activated yet.','realos'); ?></p>
        <?php } ?>
    </div>
</div>

<div class="col-md-9 col-sm-8">
    <div class="item_detail">
        <div class="description">
            <h3 class="secondary_title"><?php _e('Description', 'realos'); ?></h3>
            <?php echo osc_item_description(); ?>
        </div>

        <?php osc_run_hook('item_detail', osc_item() ); ?>
    </div>
    <div class="single-item block">
        <h1 class="title_heading clearfix"><strong></strong></h1>
        <div class="item-content">
            
            <div class="description">
                <p></p>
                <div class="custom_fields">
                <?php if( osc_count_item_meta() >= 1 ) { ?>
                    <br />
                    <div class="meta_list">
                        <?php while ( osc_has_item_meta() ) { ?>
                            <?php if(osc_item_meta_value()!='') { ?>
                                <div class="meta">
                                    <strong><?php echo osc_item_meta_name(); ?>:</strong> <?php echo osc_item_meta_value(); ?>
                                </div>
                            <?php } ?>
                        <?php } ?>
                    </div>
                <?php } ?>
            </div>

            

            <div class="item-share clearfix">
                <ul class="list-unstyled hidden-xs">
                    <li class="share_item email">
                    <a href="<?php echo osc_item_send_friend_url(); ?>" class="btn btn-sm btn-social btn-github">
                    <span class="fa fa-envelope"></span>
                    <?php _e('E-mail', 'realos'); ?>
                    </a></li>
                    <li class="share_item fb">
                    <a href="http://www.facebook.com/sharer.php?u=<?php echo urlencode(osc_item_url()); ?>&title=<?php echo urlencode(osc_item_title()); ?>" class="btn btn-sm btn-social btn-facebook" target="_blank">
                    <span class="fa fa-facebook"></span>
                    <?php _e('Share', 'realos'); ?>
                    </a></li>
                    <li class="share_item tw">
                    <a href="http://twitter.com/home?status=<?php echo urlencode(osc_item_title()); ?>%0a<?php echo urlencode(osc_item_url()); ?>" class="btn btn-sm btn-social btn-twitter" target="_blank">
                    <span class="fa fa-twitter"></span>
                    <?php _e('Tweet', 'realos'); ?>
                    </a></li>
                    <li class="share_item gp">
                    <a href="https://plus.google.com/share?url=<?php echo urlencode(osc_item_url()); ?>" class="btn btn-sm btn-social btn-google" target="_blank">
                    <span class="fa fa-google"></span>
                    <?php _e('Share', 'realos'); ?>
                    </a></li>
                </ul>
                <ul class="list-unstyled visible-xs">
                    <li class="share_item email">
                    <a href="<?php echo osc_item_send_friend_url(); ?>" class="btn btn-lg btn-social-icon btn-github">
                    <span class="fa fa-envelope"></span>
                    </a></li>
                    <li class="share_item fb">
                    <a href="http://www.facebook.com/sharer.php?u=<?php echo urlencode(osc_item_url()); ?>&title=<?php echo urlencode(osc_item_title()); ?>" class="btn btn-lg btn-social-icon btn-facebook" target="_blank">
                    <span class="fa fa-facebook"></span>
                    </a></li>
                    <li class="share_item tw">
                    <a href="http://twitter.com/home?status=<?php echo urlencode(osc_item_title()); ?>%0a<?php echo urlencode(osc_item_url()); ?>" class="btn btn-lg btn-social-icon btn-twitter" target="_blank">
                    <span class="fa fa-twitter"></span>
                    </a></li>
                    <li class="share_item gp">
                    <a href="https://plus.google.com/share?url=<?php echo urlencode(osc_item_url()); ?>" class="btn btn-lg btn-social-icon btn-google" target="_blank">
                    <span class="fa fa-google"></span>
                    </a></li>
                </ul>
            </div>
            </div>
        </div>
    </div><!-- /Single Item -->
    <?php if( osc_get_preference('item-page-middle-728x90', 'realos') != '') { ?>
    <!-- homepage ad 728x60-->
    <div class="adslot item_728 text-center">
        <?php echo osc_get_preference('item-page-middle-728x90', 'realos'); ?>
    </div>
    <!-- /homepage ad 728x60-->
    <?php } ?>

    <?php if( osc_comments_enabled() ) { ?>
    <?php if( osc_reg_user_post_comments () && osc_is_web_user_logged_in() || !osc_reg_user_post_comments() ) { ?>
    <div class="commentbox block">
        <h3 class="secondary_title"><?php _e('Comments', 'realos'); ?></h3>
        <div class="comments"<?php if( osc_count_item_comments() == 0 ) { ?>style="padding-top:0px;"<?php } ?>>
            <?php CommentForm::js_validation(); ?>
            <?php if( osc_count_item_comments() >= 1 ) { ?>
                <div class="comments_list">
                    <?php while ( osc_has_item_comments() ) { ?>
                        <div class="comment">
                            <h4>
                            <?php /*?><strong><?php echo osc_comment_title(); ?></strong><?php */?>
                            <?php echo osc_comment_author_name(); ?></h4>
                            <div class="comment_dt"><?php echo date(osc_date_format() .' -'. " H:m:s", strtotime(osc_comment_pub_date())); ?></div>
                            <p><?php echo nl2br( osc_comment_body() ); ?> </p>
                            <?php if ( osc_comment_user_id() && (osc_comment_user_id() == osc_logged_user_id()) ) { ?>
                            <p>
                                <a rel="nofollow" href="<?php echo osc_delete_comment_url(); ?>" title="<?php echo osc_esc_html(__('Delete your comment', 'realos')); ?>"><?php _e('Delete', 'realos'); ?></a>
                            </p>
                            <?php } ?>
                        </div>
                    <?php } ?>
                    <div class="pagination">
                        <?php echo osc_comments_pagination(); ?>
                    </div>
                </div><!-- /List of Comments -->
            <?php } else { ?>
                <div class="no-comment"><?php _e('No comments yet... Be the first to leave a comment!','realos'); ?></div>
            <?php } ?>
            <div class="commentform">
                <?php //if( osc_count_item_comments() >= 1 ) { ?>
                <h3 class="secondary_title"><?php _e('Leave a comment', 'realos'); ?></h3>
                <?php //} ?>
                <ul id="comment_error_list"></ul>
                <form action="<?php echo osc_base_url(true); ?>" method="post" name="comment_form" id="comment_form">
                    <input type="hidden" name="action" value="add_comment" />
                    <input type="hidden" name="page" value="item" />
                    <input type="hidden" name="id" value="<?php echo osc_item_id(); ?>" />
                    <?php if(osc_is_web_user_logged_in()) { ?>
                    <input type="hidden" name="authorName" value="<?php echo osc_esc_html( osc_logged_user_name() ); ?>" />
                    <input type="hidden" name="authorEmail" value="<?php echo osc_esc_html(osc_logged_user_email());?>" />
                    <?php } else { ?>
                    <div class="row">
                        <div class="form-group col-md-6">
                            <?php //CommentForm::author_input_text(); ?>
                            <input id="authorName" name="authorName" value="" type="text" placeholder="<?php echo osc_esc_html(__('Your name', 'realos')); ?>">
                        </div>
                        <div class="form-group col-md-6">
                            <?php //CommentForm::email_input_text(); ?>
                            <input id="authorEmail" name="authorEmail" value="" type="text" placeholder="<?php echo osc_esc_html(__('Your e-mail', 'realos')); ?>">
                        </div>
                    </div>
                    
                    <?php }; ?>
                    <div class="form-group">
                        <?php //CommentForm::body_input_textarea(); ?>
                        <textarea id="body" name="body" rows="10" placeholder="<?php echo osc_esc_html(__('Enter your comment (spam and offensive messages will be removed)', 'realos')); ?>"></textarea>
                    </div>
                    <div class="form-end">
                        <div class="actions">
                            <button type="submit" class="btn btn-primary btn-block"><?php _e('Submit', 'realos'); ?></button>
                        </div>
                    </div>
                </form>
            </div>
        </div><!-- /Comments -->
    </div>
    <?php } ?>
    <?php } ?>
    

    <?php related_listings(); ?>
    <?php if( osc_count_items() > 0 ) { ?>
    <div class="related_listings">
        <h3 class="secondary_title"><?php _e('Related listings','realos'); ?></h3>
        <?php View::newInstance()->_exportVariableToView("listType", 'items');
        View::newInstance()->_exportVariableToView("listClass",$listClass); ?>
        <?php osc_current_web_theme_path('loop.php'); ?>
    </div>
    <!-- /Related Ads -->
    <?php } ?>
</div>


<?php osc_current_web_theme_path('footer.php') ; ?>
