<?php
// meta tag robots
osc_add_hook('header','realos_follow_construct');

realos_add_body_class('home');

$listClass = 'listview';
$viewMode = 'list';
if(realos_show_as() == 'gallery'){
      $viewMode = 'gallery';
	  $listClass = 'galleryview';
}

osc_current_web_theme_path('header.php'); ?>

<!-- Check header.php for search section -->

<div class="col-md-12">
    <?php osc_get_premiums(15); 
    if( osc_count_premiums() >= 1) { 
    $size = explode('x', osc_thumbnail_dimensions()); ?>
    <div class="premium-items listings clearfix">
        <h2 class="secondary_title"><?php _e('Featured listings', 'realos') ; ?></h2>
        <div class="owl-carousel galleryview" id="premium-item-carousel">
        <?php while ( osc_has_premiums() ) { ?>
            <div class="item">
                <div class="picture">
                <?php if( osc_images_enabled_at_items() ) { ?>
                    <a href="<?php echo osc_premium_url(); ?>">
                    <?php if(osc_count_premium_resources()) { ?>
                    <img src="<?php echo osc_resource_preview_url(); ?>" alt="<?php echo osc_esc_html(osc_premium_title()) ; ?>" width="<?php echo $size[0]; ?>" height="<?php echo $size[1]; ?>">
                    <?php } else { ?>
                        <img src="<?php echo osc_current_web_theme_url('images/no_photo.gif'); ?>" alt="<?php echo osc_esc_html(osc_premium_title()) ; ?>" class="img-responsive" />
                    <?php } ?>
                    </a>
                <?php } ?>
                </div>
                <div class="content">
                    <div class="item-attributes">
                        <h3><a href="<?php echo osc_premium_url() ; ?>" title="<?php echo osc_esc_html(osc_premium_title()) ; ?>"><?php $title = osc_premium_title(); echo truncate($title, 3, 26); ?></a></h3>
                        <?php if (function_exists('realestate_item_detail') && osc_is_this_category('realestate_plugin', osc_premium_category_id())) { $detail = ModelRealEstate::newInstance()->getAttributes( osc_premium_id() ); 
                            if(@$detail['e_type'] != null) { ?>
                            <span class="offertype"> <?php if(@$detail['e_type'] == 'FOR RENT') { echo 'For Rent'; } else { echo 'For Sale'; } ?></span> / 
                        <?php }
                        } ?>
                        <span class="category"><?php echo osc_premium_category() ; ?></span> /
                        <span class="location">
                        <?php if( osc_premium_city()!='' ) {
                            echo osc_premium_city();
                        } else if( osc_premium_region()!='' ) { 
                            echo osc_premium_region();
                        } else {
                            echo osc_premium_country();
                        } ?></span>
                        <div class="price">
                            <?php if( osc_price_enabled_at_items() ) { ?>
                            <span class="item-price"><?php echo osc_format_premium_price(); ?></span>
                            <?php } ?>
                        </div>
                    </div>

                    <div class="property-attributes">
                        <?php if (function_exists('realestate_item_detail') && osc_is_this_category('realestate_plugin', osc_premium_category_id())) { 
                            $detail = ModelRealEstate::newInstance()->getAttributes( osc_premium_id() ); ?>
                            <?php if(@$detail['i_plot_area'] != null) { ?>
                            <span class="area">
                                <i class="fa fa-arrows-alt" aria-hidden="true"></i>
                                <?php printf(__('%s m<sup>2</sup>'), @$detail['i_plot_area']); ?>
                            </span>
                            <?php } ?>
                            <?php if(@$detail['i_num_rooms'] != 0) { ?>
                            <span class="beds">
                                <i class="fa fa-bed" aria-hidden="true"></i>
                                <?php printf(__('%s Beds'), @$detail['i_num_rooms']); ?>
                            </span>
                            <?php } ?>
                            <?php if(@$detail['i_num_bathrooms'] != 0) { ?>
                            <span class="baths">
                                <i class="fa fa-bath" aria-hidden="true"></i>
                                <?php printf(__('%s Baths'), @$detail['i_num_bathrooms']); ?>
                            </span>
                            <?php } ?>
                            <?php if(@$detail['i_plot_area'] == null && @$detail['i_num_rooms'] == 0 && @$detail['i_num_bathrooms'] == 0) { ?>
                            <span class="user">
                                <i class="fa fa-user"></i>
                                <?php if( osc_premium_user_id() != null ) { ?>
                                <a href="<?php echo osc_user_public_profile_url( osc_premium_user_id() ); ?>" ><?php echo osc_premium_contact_name(); ?></a>
                                <?php } else { ?>
                                <?php echo osc_premium_contact_name(); ?>
                                <?php } ?>
                            </span>
                            <?php } ?>
                        <?php } else { ?>
                        <span class="user">
                            <i class="fa fa-user"></i>
                            <?php if( osc_premium_user_id() != null ) { ?>
                            <a href="<?php echo osc_user_public_profile_url( osc_premium_user_id() ); ?>" ><?php echo osc_premium_contact_name(); ?></a>
                            <?php } else { ?>
                            <?php echo osc_premium_contact_name(); ?>
                            <?php } ?>
                        </span>
                        <?php } ?>
                    </div>
                </div>
            </div>
        <?php } ?>
        </div>
    </div>
    <!-- Premium Listings-->
    <?php } ?>

    <?php if( osc_get_preference('homepage-728x90', 'realos') != '') { ?>
    <!-- homepage ad 728x60-->
    <div class="adslot home_728 text-center">
        <?php echo osc_get_preference('homepage-728x90', 'realos'); ?>
    </div>
    <!-- /homepage ad 728x60-->
    <?php } ?>
    <?php
        //Location 1
        $city1 = osc_get_preference('city_1', 'realos');
        $city1_id = osc_esc_html(osc_get_preference('city_1_linkto', 'realos'));
        $city1_image = osc_esc_html(locationbanner1_url());

        //Location 2
        $city2 = osc_get_preference('city_2', 'realos');
        $city2_id = osc_esc_html(osc_get_preference('city_2_linkto', 'realos'));
        $city2_image = osc_esc_html(locationbanner2_url());

        //Location 3
        $city3 = osc_get_preference('city_3', 'realos');
        $city3_id = osc_esc_html(osc_get_preference('city_3_linkto', 'realos'));
        $city3_image = osc_esc_html(locationbanner3_url());

        //Location 4
        $city4 = osc_get_preference('city_4', 'realos');
        $city4_id = osc_esc_html(osc_get_preference('city_4_linkto', 'realos'));
        $city4_image = osc_esc_html(locationbanner4_url());

        //Location 5
        $city5 = osc_get_preference('city_5', 'realos');
        $city5_id = osc_esc_html(osc_get_preference('city_5_linkto', 'realos'));
        $city5_image = osc_esc_html(locationbanner5_url());
    ?>
    <div class="featured_location clearfix">

        <!-- <h2 class="secondary_title">Featured location</h2> -->
        <div class="row">
            <div class="col-sm-5 col-xs-12">
                <div style="background-image: url('<?php echo $city1_image; ?>');" class="fl_div first">
                    <a href="<?php echo osc_search_url(array('sCity' => $city1_id)); ?>">
                        <div class="fl_content">
                            <h3><?php echo $city1; ?></h3>
                        </div>
                    </a>
                </div>
            </div>
            <div class="col-sm-7 col-xs-12">
                <div class="row">
                    <div class="col-sm-6 col-xs-12 fl_third">
                        <div style="background-image: url('<?php echo $city2_image; ?>');" class="fl_div">
                            <a href="<?php echo osc_search_url(array('sCity' => $city2_id)); ?>">
                                <div class="fl_content">
                                    <h3><?php echo $city2; ?></h3>
                                </div>
                            </a>
                        </div>
                    </div>
                    <div class="col-sm-6 col-xs-12 fl_third">
                        <div style="background-image: url('<?php echo $city3_image; ?>');" class="fl_div">
                            <a href="<?php echo osc_search_url(array('sCity' => $city3_id)); ?>">
                                <div class="fl_content">
                                    <h3><?php echo $city3; ?></h3>
                                </div>
                            </a>
                        </div>
                    </div>
                    <div class="col-sm-6 col-xs-12">
                        <div style="background-image: url('<?php echo $city4_image; ?>');" class="fl_div">
                            <a href="<?php echo osc_search_url(array('sCity' => $city4_id)); ?>">
                                <div class="fl_content">
                                    <h3><?php echo $city4; ?></h3>
                                </div>
                            </a>
                        </div>
                    </div>
                    <div class="col-sm-6 col-xs-12">
                        <div class="fl_div" style="background-image: url('<?php echo $city5_image; ?>');">
                            <a href="<?php echo osc_search_url(array('sCity' => $city5_id)); ?>">
                                <div class="fl_content">
                                    <h3><?php echo $city5; ?></h3>
                                </div>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php //} ?>

    <div class="latest-items clearfix">
        <?php if( osc_count_latest_items() >= 1) { ?>
        <div class="heading_block row">
            <div class="col-md-6 col-xs-8">
                <h2 class="secondary_title" style="margin: 0"><?php _e('Latest Listings', 'realos') ; ?></h2>
            </div>
            <div class="col-md-6 col-xs-4">
                <div class="viewMode pull-right">
                    <a href="<?php echo osc_base_url(true); ?>?sShowAs=list" <?php if ($viewMode == 'list') { ?> class="active"<?php } ?> title="<?php echo osc_esc_html(__('List', 'realos')); ?>"><i class="fa fa-th-list"></i></a>
                    <a href="<?php echo osc_base_url(true); ?>?sShowAs=gallery" <?php if ($viewMode == 'gallery') { ?> class="active"<?php } ?> title="<?php echo osc_esc_html(__('Gallery', 'realos')); ?>"><i class="fa fa-th-large"></i></a>
                </div>
            </div>
        </div>
            
        <?php
        View::newInstance()->_exportVariableToView("listType", 'latestItems');
        View::newInstance()->_exportVariableToView("listClass",$listClass);
        osc_current_web_theme_path('loop.php');
        ?>

        <?php if( osc_count_latest_items() == osc_max_latest_items() ) { ?>
            <div class="see_more_link">
                <a href="<?php echo osc_search_show_all_url() ; ?>"><?php _e('View all', 'realos') ; ?></a>
            </div>
        <?php } ?>
        <?php } ?>
    </div>
</div>
<?php osc_current_web_theme_path('footer.php'); ?>