<?php
// meta tag robots
if( osc_count_items() == 0 || stripos($_SERVER['REQUEST_URI'], 'search') ) {
	osc_add_hook('header','realos_nofollow_construct');
} else {
	osc_add_hook('header','realos_follow_construct');
}

realos_add_body_class('search');

$listClass = 'listview';
$viewMode = 'list';
if(realos_show_as() == 'gallery'){
      $viewMode = 'gallery';
	  $listClass = 'galleryview row';
}

osc_add_hook('left-sidebar','sidebar');
function sidebar(){
	osc_current_web_theme_path('search-sidebar.php');
}

osc_add_hook('footer','autocompleteCity');

function autocompleteCity() { ?>
    <script type="text/javascript">
    $(function() {
		function log( message ) {
			$( "<div/>" ).text( message ).prependTo( "#log" );
			$( "#log" ).attr( "scrollTop", 0 );
		}

		$( "#sCity" ).autocomplete({
			source: "<?php echo osc_base_url(true); ?>?page=ajax&action=location",
			minLength: 2,
			select: function( event, ui ) {
				$("#sRegion").attr("value", ui.item.region);
				log( ui.item ?
					"<?php echo osc_esc_html( __('Selected', 'realos') ); ?>: " + ui.item.value + " aka " + ui.item.id :
					"<?php echo osc_esc_html( __('Nothing selected, input was', 'realos') ); ?> " + this.value );
			}
		});
	});
	</script>
<?php } ?>
<?php osc_current_web_theme_path('header.php'); ?>

<div id="main" class="col-md-9 col-sm-8 col-xs-12">

<?php if(osc_get_preference('search-results-top-728x90', 'realos')!='') {?>
  <!-- search top ad 728x90-->
  <div class="adslot searchtop_728 text-center">
      <?php echo osc_get_preference('search-results-top-728x90', 'realos'); ?>
  </div>
  <!-- /search top ad 728x90 -->
<?php } ?>
	
    <div class="all-items">
        <h1 class="primary_title clearfix">
          <?php if(search_title() != null) { echo search_title(); } else { _e('All listings','realos'); } ?>
          <div class="filter_icon pull-right visible-xs">
            <a href="#" data-toggle="modal" data-target="#filterModal"><i class="fa fa-filter"></i></a>
          </div>
        </h1>

        <?php if(osc_count_items() >= 1) { ?>
        <div class="searchbar clearfix">
            <div class="searchCount pull-left">
            <?php $search_number = realos_search_number();
            printf(__('%1$d - %2$d of %3$d listings', 'realos'), $search_number['from'], $search_number['to'], $search_number['of']);
            ?>
            </div>
            <div class="viewMode pull-right">
                <?php
                  $orders = osc_list_orders();
                  $current = '';
                  foreach($orders as $label => $params) {
                      $orderType = ($params['iOrderType'] == 'asc') ? '0' : '1';
                      if(osc_search_order() == $params['sOrder'] && osc_search_order_type() == $orderType) {
                          $current = $label;
                      }
                  }
                  ?>
                <div class="btn-group sortby">
                      <button class="dropdown-toggle" data-toggle="dropdown"><?php echo $current; ?><span><i class="fa fa-sort"></i></span></button>
                      <?php $i = 0; ?>
                      <ul class="dropdown-menu pull-right" role="menu">
                          <?php
                          foreach($orders as $label => $params) {
                              $orderType = ($params['iOrderType'] == 'asc') ? '0' : '1'; ?>
                              <?php if(osc_search_order() == $params['sOrder'] && osc_search_order_type() == $orderType) { ?>
                                  <li><a class="current" href="<?php echo osc_esc_html(osc_update_search_url($params)); ?>"><?php echo $label; ?></a></li>
                              <?php } else { ?>
                                  <li><a href="<?php echo osc_esc_html(osc_update_search_url($params)); ?>"><?php echo $label; ?></a></li>
                              <?php } ?>
                              <?php $i++; ?>
                          <?php } ?>
                        </ul>
                    </div><!-- /Buttongroup -->
                <a title="<?php echo osc_esc_html(__('List', 'realos')); ?>" href="<?php echo osc_esc_html(osc_update_search_url(array('sShowAs'=> 'list'))); ?>" <?php if ($viewMode == 'list') { ?>class="active"<?php } ?>><i class="fa fa-th-list"></i></a>
                <a title="<?php echo osc_esc_html(__('Gallery', 'realos')); ?>" href="<?php echo osc_esc_html(osc_update_search_url(array('sShowAs'=> 'gallery'))); ?>" <?php if ($viewMode == 'gallery') { ?>class="active"<?php } ?>><i class="fa fa-th-large"></i></a>
            </div><!-- /Viewmode -->
        </div><!-- /Searchbar -->
        <?php
            $i = 0;
            if ($viewMode == 'gallery') {
              osc_get_premiums(3);
            } else {
              osc_get_premiums(2);
            }
            if(osc_count_premiums() > 0) {
            //echo '<h5>'.__('Premium listings','realos').'</h5>';
            View::newInstance()->_exportVariableToView("listType", 'premiums');
            View::newInstance()->_exportVariableToView("listClass",$listClass.' premium-list');
            osc_current_web_theme_path('loop.php');
            //echo '<div style="clear:both;"></div><br/>';
            }
        ?>
        <?php if(osc_count_items() > 0) {
            View::newInstance()->_exportVariableToView("listType", 'items');
            View::newInstance()->_exportVariableToView("listClass",$listClass);
            osc_current_web_theme_path('loop.php');
        ?>
        <div class="pagination <?php if ($viewMode == 'gallery') { echo 'gallery-view-pagination'; } ?>">
            <?php echo osc_search_pagination(); ?>
        </div>
        <?php } ?>
        
        <?php } else { ?>
        <p class="empty" ><?php printf(__('There are no results matching "%s"', 'realos'), osc_search_pattern()) ; ?></p>
        <?php } ?>
    </div><!-- /Items -->
</div>

<?php osc_current_web_theme_path('footer.php'); ?>