<?php
// meta tag robots
osc_add_hook('header','realos_nofollow_construct');

osc_enqueue_script('jquery-validate');

realos_add_body_class('user user-profile');

osc_add_hook('left-sidebar','sidebar');
function sidebar(){
    osc_current_web_theme_path('user-sidebar.php');
}

osc_add_filter('meta_title_filter','custom_meta_title');
function custom_meta_title($data){
    return __('Change username', 'realos');;
}

osc_current_web_theme_path('header.php') ;
$osc_user = osc_user();
?>

<script type="text/javascript">
$(document).ready(function() {
    $('form#change-username').validate({
        rules: {
            s_username: {
                required: true
            }
        },
        messages: {
            s_username: {
                required: '<?php echo osc_esc_js(__("Username: this field is required", "realos")); ?>.'
            }
        },
        errorLabelContainer: "#error_list",
        wrapper: "li",
        invalidHandler: function(form, validator) {
            $('html,body').animate({ scrollTop: $('h1').offset().top }, { duration: 250, easing: 'swing'});
        },
        submitHandler: function(form){
            $('button[type=submit], input[type=submit]').attr('disabled', 'disabled');
            form.submit();
        }
    });

    var cInterval;
    $("#s_username").keydown(function(event) {
        if($("#s_username").attr("value")!='') {
            clearInterval(cInterval);
            cInterval = setInterval(function(){
                $.getJSON(
                    "<?php echo osc_base_url(true); ?>?page=ajax&action=check_username_availability",
                    {"s_username": $("#s_username").attr("value")},
                    function(data){
                        clearInterval(cInterval);
                        if(data.exists==0) {
                            $("#available").text('<?php echo osc_esc_js(__("The username is available", "realos")); ?>');
                        } else {
                            $("#available").text('<?php echo osc_esc_js(__("The username is NOT available", "realos")); ?>');
                        }
                    }
                );
            }, 1000);
        }
    });

});
</script>

<div class="col-md-9 col-sm-8 col-xs-12">
    <h1 class="primary_title"><?php _e('Change username', 'realos'); ?></h1>
	<div class="user-page userform">
    	<ul id="error_list"></ul>
    	<form action="<?php echo osc_base_url(true); ?>" method="post" class="form-horizontal" id="change-username">
            <input type="hidden" name="page" value="user" />
            <input type="hidden" name="action" value="change_username_post" />
            <div class="form-group">
                <label class="col-md-3 control-label" for="s_username"><?php _e('Username', 'realos'); ?></label>
                <div class="col-md-6 controls">
                    <input type="text" name="s_username" id="s_username" value="" />
                    <div id="available"></div>
                </div>
            </div>
            <div class="form-action clearfix">
                <div class="col-md-offset-3 col-md-6 controls">
                    <button type="submit" class="btn btn-primary"><?php _e("Update", 'realos');?></button>
                </div>
            </div>
        </form>
	</div>
</div>

<?php osc_current_web_theme_path('footer.php') ; ?>