<?php
// meta tag robots
osc_add_hook('header','realos_nofollow_construct');

realos_add_body_class('user user-profile');
osc_add_hook('left-sidebar','sidebar');
function sidebar(){
    osc_current_web_theme_path('user-sidebar.php');
}
osc_add_filter('meta_title_filter','custom_meta_title');
function custom_meta_title($data){
    return __('Update account', 'realos');
}
osc_current_web_theme_path('header.php') ;
$osc_user = osc_user();
?>
<?php UserForm::location_javascript(); ?>
<div class="col-md-9 col-sm-8">
    <h1 class="primary_title"><?php _e('Update account', 'realos'); ?></h1>
    <div class="user-page userform">
        
        <form action="<?php echo osc_base_url(true); ?>" method="post" class="form-horizontal">
            <ul id="error_list"></ul>
            <input type="hidden" name="page" value="user" />
            <input type="hidden" name="action" value="profile_post" />
            <div class="form-group">
                <label class="col-md-3 control-label" for="name"><?php _e('Name', 'realos'); ?></label>
                <div class="col-md-7 controls">
                    <?php UserForm::name_text(osc_user()); ?>
                </div>
            </div>
            <div class="form-group">
                <label class="col-md-3 control-label" for="user_type"><?php _e('User type', 'realos'); ?></label>
                <div class="col-md-7 controls">
                    <?php UserForm::is_company_select(osc_user()); ?>
                </div>
            </div>

            <div class="form-group">
                <label class="col-md-3 control-label" for="phoneMobile"><?php _e('Cell phone', 'realos'); ?></label>
                <div class="col-md-7 controls">
                    <?php UserForm::mobile_text(osc_user()); ?>
                </div>
            </div>
            <div class="form-group">
                <label class="col-md-3 control-label" for="phoneLand"><?php _e('Phone', 'realos'); ?></label>
                <div class="col-md-7 controls">
                    <?php UserForm::phone_land_text(osc_user()); ?>
                </div>
            </div>
            <div class="form-group">
                <label class="col-md-3 control-label" for="country"><?php _e('Country', 'realos'); ?></label>
                <div class="col-md-7 controls">
                    <?php UserForm::country_select(osc_get_countries(), osc_user()); ?>
                </div>
            </div>
            <div class="form-group">
                <label class="col-md-3 control-label" for="region"><?php _e('Region', 'realos'); ?></label>
                <div class="col-md-7 controls">
                    <?php UserForm::region_select(osc_get_regions(), osc_user()); ?>
                </div>
            </div>
            <div class="form-group">
                <label class="col-md-3 control-label" for="city"><?php _e('City', 'realos'); ?></label>
                <div class="col-md-7 controls">
                    <?php UserForm::city_select(osc_get_cities(), osc_user()); ?>
                </div>
            </div>
            <div class="form-group">
                <label class="col-md-3 control-label" for="city_area"><?php _e('City area', 'realos'); ?></label>
                <div class="col-md-7 controls">
                    <?php UserForm::city_area_text(osc_user()); ?>
                </div>
            </div>
            <div class="form-group">
                <label class="col-md-3 control-label" for="address"><?php _e('Address', 'realos'); ?></label>
                <div class="col-md-7 controls">
                    <?php UserForm::address_text(osc_user()); ?>
                </div>
            </div>
            <div class="form-group">
                <label class="col-md-3 control-label" for="webSite"><?php _e('Website', 'realos'); ?></label>
                <div class="col-md-7 controls">
                    <?php UserForm::website_text(osc_user()); ?>
                </div>
            </div>
            <div class="form-group">
                <label class="col-md-3 control-label" for="s_info"><?php _e('Description', 'realos'); ?></label>
                <div class="col-md-7 controls">
                    <?php UserForm::info_textarea('s_info', osc_locale_code(), @$osc_user['locale'][osc_locale_code()]['s_info']); ?>
                </div>
            </div>
            <?php osc_run_hook('user_profile_form', osc_user()); ?>
            <?php //osc_run_hook('user_form', osc_user()); ?>
            <div class="form-action clearfix">
                <div class="col-md-offset-3 col-md-6 controls">
                    <button type="submit" class="btn btn-primary"><?php _e("Update", 'realos');?></button>
                </div>
            </div>
        </form>
    </div>
</div>

<?php osc_current_web_theme_path('footer.php') ; ?>